" Vim syntax file
" Language:	initng .i files
" Maintainer:	Elan Ruusame <glen@pld-linux.org>
" URL:		http://glen.alkohol.ee/pld/initng/
" Last Change:	$Date: 2005/07/29 14:21:07 $
"
" Syntax highlighting for initng .i files. Inherits from sh.vim and adds
" in the hiliting to start/stop {} blocks. Requires vim 6.3 or later.

if &compatible || v:version < 603
    finish
endif

if exists("b:current_syntax")
    finish
endif

syn case match

let is_bash = 1
unlet! b:current_syntax
syn include @shTop syntax/sh.vim

syn match	initngServiceHeader		/^\s*service\s\+\(\w\+\(\s\+:\s\+\w\+\)\?\)\s*/ skipwhite skipnl contained
syn region	initngService			start="^\s*service\s\+\(\w\+\(\s\+:\s\+\w\+\)\?\)\s\+{" end="}" contains=@initngServiceCluster
syn cluster initngServiceCluster	contains=initngComment,initngAction,initngServiceOption,initngServiceHeader,initngDelim

syn match	initngActionHeader		/^\s*\(start\|stop\)\s*/ skipwhite skipnl contained
syn region	initngAction			start="^\s*\(start\|stop\)\s*{" end="}" contains=@initngActionCluster
syn cluster initngActionCluster		contains=initngActionHeader,initngDelim,@shTop

syn match	initngDelim				/[{}]/	contained
syn match	initngComment			/#.*/
syn region	initngString			start=/"/ end=/"/ skip=/\\"/

syn region	initngServiceOption		start="\w\+\s\+=\s*.*" end="$" contains=initngServiceKeywords,initngString contained
syn keyword	initngServiceKeywords	start stop daemon daemon_args need use respawn env nice setuid delay chdir suid start_pause contained

hi def link	initngComment			Comment
hi def link	initngString			String
hi def link initngServiceKeywords	Define

hi def link	initngServiceHeader		Keyword
hi def link	initngActionHeader		Type
hi def link initngDelim				Delimiter

let b:current_syntax = "initng"
